Is there a reason you don't want to use fink or darwin-ports? Both of 
these provide dependency resolution (ie, readline library).

I am pretty sure ruby 1.8 is in the unstable branch for fink at the 
moment.

On Monday, September 8, 2003, at 10:21 AM, David Heinemeier Hansson 
wrote:

>> As for a .pkg...there is a RubyForge project to build an installer 
>> for OS X ( http://rubyforge.org/projects/osx-dist/ ).  The project 
>> maintainer has not released a .pkg file yet...I will contact him and 
>> ask status.
>
> I am that maintainer. The status is that I wanted to release a 
> version, which would properly install the readlines module as well. 
> That turned out to be slightly more complicated than I envisioned, 
> though. So it didn't move much further than that.
>
> I quick probably do a quick release of "just" a compiled Ruby 1.8.0. 
> That's better than nothing at all ;).
>
> On a longer term, the idea was to put together a series of 
> pre-compiled packages. Like one for web-development that would install 
> and setup mod_ruby with Apache, include the MySQL extension, and more.
>
> I'm all ears for additional ideas.
> --
> David Heinemeier Hansson,
> http://www.loudthinking.com/ -- Thoughts for free
> http://www.nextangle.com/    -- Thoughts for hire
>
>
>